View Issue Details

IDProjectCategoryView StatusLast Update
0013277ScribusUser Interfacepublic2016-04-03 10:48
ReporterFirasH Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version1.5.1svn 
Target VersionFixed in Version 
Summary0013277: Improve UI appearance and usability of Color Wheel
DescriptionImprove UI appearance and usability of Color Wheel.
See attached screenshot. The patch is tested.
Additional Information1.5.1.svn (20300)
TagsNo tags attached.
PatchYes

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

FirasH

2015-08-05 14:59

developer  

13277-Patch.diff (50,636 bytes)

diff --git a/scribus/plugins/colorwheel/cwdialog.cpp b/scribus/plugins/colorwheel/cwdialog.cpp
--- a/scribus/plugins/colorwheel/cwdialog.cpp
+++ b/scribus/plugins/colorwheel/cwdialog.cpp
@@ -92,7 +92,6 @@
 	previewLabel->resize(prefs->getInt("cw_samplex", 300), prefs->getInt("cw_sampley", 100));
 		
 	// setup
-	currentColorTable->horizontalHeader()->hide();
 	colorspaceTab_currentChanged(colorspaceTab->currentIndex());
 
 	// signals and slots that cannot be in ui file
diff --git a/scribus/plugins/colorwheel/cwdialog.ui b/scribus/plugins/colorwheel/cwdialog.ui
--- a/scribus/plugins/colorwheel/cwdialog.ui
+++ b/scribus/plugins/colorwheel/cwdialog.ui
@@ -1,89 +1,150 @@
-<ui version="4.0" >
- <author>Petr Vanek &lt;petr@scribus.info></author>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <author>Petr Vanek &lt;petr@scribus.info&gt;</author>
  <comment>Base class for color wheel dialog</comment>
  <class>CWDialog</class>
- <widget class="QDialog" name="CWDialog" >
-  <property name="geometry" >
+ <widget class="QDialog" name="CWDialog">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>625</width>
-    <height>699</height>
+    <height>688</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Color Wheel</string>
   </property>
-  <layout class="QGridLayout" >
-   <property name="margin" >
+  <layout class="QGridLayout">
+   <property name="leftMargin">
     <number>9</number>
    </property>
-   <property name="spacing" >
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
+   <property name="spacing">
     <number>6</number>
    </property>
-   <item row="0" column="0" >
-    <widget class="ColorWheel" native="1" name="colorWheel" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="Fixed" hsizetype="Fixed" >
+   <item row="0" column="0">
+    <widget class="ColorWheel" name="colorWheel" native="true">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
-     <property name="minimumSize" >
+     <property name="minimumSize">
       <size>
        <width>300</width>
        <height>300</height>
       </size>
      </property>
-     <property name="maximumSize" >
+     <property name="maximumSize">
       <size>
        <width>300</width>
        <height>300</height>
       </size>
      </property>
-     <property name="toolTip" >
+     <property name="toolTip">
       <string>Click the wheel to get the base color. Its color model depends on the chosen tab.</string>
      </property>
     </widget>
    </item>
-   <item rowspan="2" row="1" column="1" >
-    <widget class="QGroupBox" name="groupBox3" >
-     <property name="title" >
+   <item row="1" column="1" rowspan="2">
+    <widget class="QGroupBox" name="groupBox3">
+     <property name="title">
       <string>Result Colors</string>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="leftMargin">
        <number>9</number>
       </property>
-      <property name="spacing" >
+      <property name="topMargin">
+       <number>9</number>
+      </property>
+      <property name="rightMargin">
+       <number>9</number>
+      </property>
+      <property name="bottomMargin">
+       <number>9</number>
+      </property>
+      <property name="spacing">
        <number>6</number>
       </property>
-      <item row="1" column="0" >
-       <widget class="QTableWidget" name="currentColorTable" >
-        <property name="alternatingRowColors" >
+      <item row="1" column="0">
+       <widget class="QTableWidget" name="currentColorTable">
+        <property name="sizePolicy">
+         <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
+          <horstretch>0</horstretch>
+          <verstretch>0</verstretch>
+         </sizepolicy>
+        </property>
+        <property name="minimumSize">
+         <size>
+          <width>0</width>
+          <height>0</height>
+         </size>
+        </property>
+        <property name="maximumSize">
+         <size>
+          <width>16777215</width>
+          <height>92</height>
+         </size>
+        </property>
+        <property name="alternatingRowColors">
          <bool>true</bool>
         </property>
-        <property name="selectionMode" >
+        <property name="selectionMode">
          <enum>QAbstractItemView::SingleSelection</enum>
         </property>
-        <property name="rowCount" >
+        <property name="rowCount">
          <number>3</number>
         </property>
-        <property name="columnCount" >
+        <property name="columnCount">
          <number>5</number>
         </property>
+        <attribute name="horizontalHeaderVisible">
+         <bool>false</bool>
+        </attribute>
+        <attribute name="horizontalHeaderDefaultSectionSize">
+         <number>42</number>
+        </attribute>
+        <attribute name="horizontalHeaderHighlightSections">
+         <bool>false</bool>
+        </attribute>
+        <attribute name="horizontalHeaderMinimumSectionSize">
+         <number>42</number>
+        </attribute>
+        <attribute name="horizontalHeaderStretchLastSection">
+         <bool>true</bool>
+        </attribute>
+        <attribute name="verticalHeaderVisible">
+         <bool>true</bool>
+        </attribute>
+        <attribute name="verticalHeaderCascadingSectionResizes">
+         <bool>false</bool>
+        </attribute>
+        <attribute name="verticalHeaderMinimumSectionSize">
+         <number>30</number>
+        </attribute>
         <row>
-         <property name="text" >
+         <property name="text">
           <string>CMYK</string>
          </property>
         </row>
         <row>
-         <property name="text" >
+         <property name="text">
           <string>RGB</string>
          </property>
         </row>
         <row>
-         <property name="text" >
+         <property name="text">
           <string>HSV</string>
          </property>
         </row>
@@ -94,16 +155,22 @@
         <column/>
        </widget>
       </item>
-      <item row="0" column="0" >
-       <widget class="ColorListBox" native="1" name="colorList" >
-        <property name="minimumSize" >
+      <item row="0" column="0">
+       <widget class="ColorListBox" name="colorList" native="true">
+        <property name="sizePolicy">
+         <sizepolicy hsizetype="Preferred" vsizetype="Expanding">
+          <horstretch>0</horstretch>
+          <verstretch>0</verstretch>
+         </sizepolicy>
+        </property>
+        <property name="minimumSize">
          <size>
           <width>240</width>
-          <height>160</height>
+          <height>140</height>
          </size>
         </property>
-        <property name="toolTip" >
-         <string>Colors of your chosen color scheme.</string>
+        <property name="toolTip">
+         <string>Colors of your chosen color scheme</string>
         </property>
        </widget>
       </item>
@@ -110,45 +177,63 @@
      </layout>
     </widget>
    </item>
-   <item row="1" column="0" >
-    <widget class="QGroupBox" name="groupBox3_2" >
-     <property name="title" >
+   <item row="1" column="0">
+    <widget class="QGroupBox" name="groupBox3_2">
+     <property name="title">
       <string>Color Scheme Method</string>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="leftMargin">
        <number>9</number>
       </property>
-      <property name="spacing" >
+      <property name="topMargin">
+       <number>9</number>
+      </property>
+      <property name="rightMargin">
+       <number>9</number>
+      </property>
+      <property name="bottomMargin">
+       <number>9</number>
+      </property>
+      <property name="spacing">
        <number>6</number>
       </property>
-      <item row="1" column="0" >
-       <layout class="QHBoxLayout" >
-        <property name="spacing" >
+      <item row="1" column="0">
+       <layout class="QHBoxLayout">
+        <property name="spacing">
          <number>6</number>
         </property>
-        <property name="margin" >
+        <property name="leftMargin">
          <number>0</number>
         </property>
+        <property name="topMargin">
+         <number>0</number>
+        </property>
+        <property name="rightMargin">
+         <number>0</number>
+        </property>
+        <property name="bottomMargin">
+         <number>0</number>
+        </property>
         <item>
-         <widget class="QLabel" name="angleLabel" >
-          <property name="maximumSize" >
+         <widget class="QLabel" name="angleLabel">
+          <property name="maximumSize">
            <size>
             <width>100</width>
             <height>32767</height>
            </size>
           </property>
-          <property name="text" >
+          <property name="text">
            <string>Angle:</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
         </item>
         <item>
-         <widget class="QSpinBox" name="angleSpin" >
-          <property name="toolTip" >
+         <widget class="QSpinBox" name="angleSpin">
+          <property name="toolTip">
            <string>Difference between the selected value and the counted ones. Refer to documentation for more information.</string>
           </property>
          </widget>
@@ -155,15 +240,21 @@
         </item>
        </layout>
       </item>
-      <item row="0" column="0" >
-       <widget class="QComboBox" name="typeCombo" >
-        <property name="maximumSize" >
+      <item row="0" column="0">
+       <widget class="QComboBox" name="typeCombo">
+        <property name="minimumSize">
          <size>
           <width>280</width>
-          <height>32767</height>
+          <height>22</height>
          </size>
         </property>
-        <property name="toolTip" >
+        <property name="maximumSize">
+         <size>
+          <width>16777215</width>
+          <height>16777215</height>
+         </size>
+        </property>
+        <property name="toolTip">
          <string>Select one of the methods to create a color scheme. Refer to documentation for more information.</string>
         </property>
        </widget>
@@ -171,23 +262,32 @@
      </layout>
     </widget>
    </item>
-   <item row="3" column="0" colspan="2" >
-    <layout class="QHBoxLayout" >
-     <property name="spacing" >
+   <item row="3" column="0" colspan="2">
+    <layout class="QHBoxLayout">
+     <property name="spacing">
       <number>6</number>
      </property>
-     <property name="margin" >
+     <property name="leftMargin">
       <number>0</number>
      </property>
+     <property name="topMargin">
+      <number>0</number>
+     </property>
+     <property name="rightMargin">
+      <number>0</number>
+     </property>
+     <property name="bottomMargin">
+      <number>0</number>
+     </property>
      <item>
       <spacer>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
-       <property name="sizeType" >
+       <property name="sizeType">
         <enum>QSizePolicy::Expanding</enum>
        </property>
-       <property name="sizeHint" stdset="0" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>40</width>
          <height>20</height>
@@ -196,40 +296,40 @@
       </spacer>
      </item>
      <item>
-      <widget class="QPushButton" name="addButton" >
-       <property name="toolTip" >
+      <widget class="QPushButton" name="addButton">
+       <property name="toolTip">
         <string>Merge created colors into the document colors</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&amp;Merge</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+M</string>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QPushButton" name="replaceButton" >
-       <property name="toolTip" >
+      <widget class="QPushButton" name="replaceButton">
+       <property name="toolTip">
         <string>Replace created colors in the document colors</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&amp;Replace</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+R</string>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QPushButton" name="cancelButton" >
-       <property name="toolTip" >
+      <widget class="QPushButton" name="cancelButton">
+       <property name="toolTip">
         <string>Leave colors untouched</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&amp;Cancel</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+C</string>
        </property>
       </widget>
@@ -236,72 +336,81 @@
      </item>
     </layout>
    </item>
-   <item row="2" column="0" >
-    <widget class="QGroupBox" name="groupBox2" >
-     <property name="title" >
+   <item row="2" column="0">
+    <widget class="QGroupBox" name="groupBox2">
+     <property name="title">
       <string>Preview:</string>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="leftMargin">
        <number>9</number>
       </property>
-      <property name="spacing" >
+      <property name="topMargin">
+       <number>9</number>
+      </property>
+      <property name="rightMargin">
+       <number>9</number>
+      </property>
+      <property name="bottomMargin">
+       <number>9</number>
+      </property>
+      <property name="spacing">
        <number>6</number>
       </property>
-      <item row="2" column="0" >
-       <widget class="QLabel" name="previewLabel" >
-        <property name="minimumSize" >
+      <item row="2" column="0">
+       <widget class="QLabel" name="previewLabel">
+        <property name="minimumSize">
          <size>
           <width>280</width>
           <height>100</height>
          </size>
         </property>
-        <property name="maximumSize" >
+        <property name="maximumSize">
          <size>
           <width>280</width>
           <height>100</height>
          </size>
         </property>
-        <property name="toolTip" >
+        <property name="toolTip">
          <string>Sample color scheme</string>
         </property>
-        <property name="frameShape" >
+        <property name="frameShape">
          <enum>QFrame::Box</enum>
         </property>
-        <property name="wordWrap" >
+        <property name="wordWrap">
          <bool>false</bool>
         </property>
        </widget>
       </item>
-      <item row="1" column="0" >
-       <widget class="QComboBox" name="defectCombo" >
-        <property name="minimumSize" >
+      <item row="1" column="0">
+       <widget class="QComboBox" name="defectCombo">
+        <property name="minimumSize">
          <size>
           <width>280</width>
-          <height>0</height>
+          <height>22</height>
          </size>
         </property>
-        <property name="toolTip" >
+        <property name="toolTip">
          <string>Simulate common vision defects here. Select type of the defect.</string>
         </property>
        </widget>
       </item>
-      <item row="0" column="0" >
-       <widget class="QLabel" name="textLabel1" >
-        <property name="text" >
+      <item row="0" column="0">
+       <widget class="QLabel" name="textLabel1">
+        <property name="text">
          <string>Vision Defect Type:</string>
         </property>
-        <property name="wordWrap" >
+        <property name="wordWrap">
          <bool>false</bool>
         </property>
        </widget>
       </item>
-      <item row="3" column="0" >
-       <spacer name="verticalSpacer" >
-        <property name="orientation" >
+      <item row="3" column="0">
+       <spacer name="verticalSpacer">
+        <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
-        <property name="sizeHint" stdset="0" >
+        <property name="sizeHint" stdset="0">
          <size>
           <width>20</width>
           <height>40</height>
@@ -312,46 +421,64 @@
      </layout>
     </widget>
    </item>
-   <item row="0" column="1" >
-    <widget class="QTabWidget" name="colorspaceTab" >
-     <property name="currentIndex" >
+   <item row="0" column="1">
+    <widget class="QTabWidget" name="colorspaceTab">
+     <property name="currentIndex">
       <number>0</number>
      </property>
-     <widget class="QWidget" name="tabCMYK" >
-      <attribute name="title" >
+     <widget class="QWidget" name="tabCMYK">
+      <attribute name="title">
        <string>CMYK</string>
       </attribute>
-      <layout class="QGridLayout" >
-       <property name="margin" >
+      <layout class="QGridLayout">
+       <property name="leftMargin">
         <number>11</number>
        </property>
-       <property name="spacing" >
+       <property name="topMargin">
+        <number>11</number>
+       </property>
+       <property name="rightMargin">
+        <number>11</number>
+       </property>
+       <property name="bottomMargin">
+        <number>11</number>
+       </property>
+       <property name="spacing">
         <number>6</number>
        </property>
-       <item row="0" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="0" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel4" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel4">
+           <property name="text">
             <string>C:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QSpinBox" name="cSpin" >
-           <property name="suffix" >
+          <widget class="QSpinBox" name="cSpin">
+           <property name="suffix">
             <string> %</string>
            </property>
-           <property name="maximum" >
+           <property name="maximum">
             <number>100</number>
            </property>
           </widget>
@@ -358,30 +485,39 @@
          </item>
         </layout>
        </item>
-       <item row="1" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="1" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel5" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel5">
+           <property name="text">
             <string>M:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QSpinBox" name="mSpin" >
-           <property name="suffix" >
+          <widget class="QSpinBox" name="mSpin">
+           <property name="suffix">
             <string> %</string>
            </property>
-           <property name="maximum" >
+           <property name="maximum">
             <number>100</number>
            </property>
           </widget>
@@ -388,30 +524,39 @@
          </item>
         </layout>
        </item>
-       <item row="2" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="2" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel6" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel6">
+           <property name="text">
             <string>Y:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QSpinBox" name="ySpin" >
-           <property name="suffix" >
+          <widget class="QSpinBox" name="ySpin">
+           <property name="suffix">
             <string> %</string>
            </property>
-           <property name="maximum" >
+           <property name="maximum">
             <number>100</number>
            </property>
           </widget>
@@ -418,30 +563,39 @@
          </item>
         </layout>
        </item>
-       <item row="3" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="3" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel7" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel7">
+           <property name="text">
             <string>K:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QSpinBox" name="kSpin" >
-           <property name="suffix" >
+          <widget class="QSpinBox" name="kSpin">
+           <property name="suffix">
             <string> %</string>
            </property>
-           <property name="maximum" >
+           <property name="maximum">
             <number>100</number>
            </property>
           </widget>
@@ -448,36 +602,45 @@
          </item>
         </layout>
        </item>
-       <item row="4" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="4" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel1_2" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel1_2">
+           <property name="text">
             <string>RGB:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QLabel" name="rgbLabel" >
-           <property name="frameShape" >
+          <widget class="QLabel" name="rgbLabel">
+           <property name="frameShape">
             <enum>QFrame::Box</enum>
            </property>
-           <property name="frameShadow" >
+           <property name="frameShadow">
             <enum>QFrame::Plain</enum>
            </property>
-           <property name="text" >
+           <property name="text">
             <string/>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
@@ -484,36 +647,45 @@
          </item>
         </layout>
        </item>
-       <item row="5" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="5" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel1_2_2" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel1_2_2">
+           <property name="text">
             <string>HSV:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QLabel" name="hsvLabel" >
-           <property name="frameShape" >
+          <widget class="QLabel" name="hsvLabel">
+           <property name="frameShape">
             <enum>QFrame::Box</enum>
            </property>
-           <property name="frameShadow" >
+           <property name="frameShadow">
             <enum>QFrame::Plain</enum>
            </property>
-           <property name="text" >
+           <property name="text">
             <string/>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
@@ -520,15 +692,15 @@
          </item>
         </layout>
        </item>
-       <item row="6" column="0" >
+       <item row="6" column="0">
         <spacer>
-         <property name="orientation" >
+         <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
-         <property name="sizeType" >
+         <property name="sizeType">
           <enum>QSizePolicy::Expanding</enum>
          </property>
-         <property name="sizeHint" stdset="0" >
+         <property name="sizeHint" stdset="0">
           <size>
            <width>254</width>
            <height>16</height>
@@ -538,46 +710,73 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabRGB" >
-      <attribute name="title" >
+     <widget class="QWidget" name="tabRGB">
+      <attribute name="title">
        <string>RGB</string>
       </attribute>
-      <layout class="QGridLayout" >
-       <property name="margin" >
+      <layout class="QGridLayout">
+       <property name="leftMargin">
         <number>11</number>
        </property>
-       <property name="spacing" >
+       <property name="topMargin">
+        <number>11</number>
+       </property>
+       <property name="rightMargin">
+        <number>11</number>
+       </property>
+       <property name="bottomMargin">
+        <number>11</number>
+       </property>
+       <property name="spacing">
         <number>6</number>
        </property>
-       <item row="0" column="0" >
-        <layout class="QVBoxLayout" >
-         <property name="spacing" >
+       <item row="0" column="0">
+        <layout class="QVBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel8" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel8">
+             <property name="text">
               <string>R:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="rSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="rSpin">
+             <property name="maximum">
               <number>255</number>
              </property>
             </widget>
@@ -585,26 +784,35 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel9" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel9">
+             <property name="text">
               <string>G:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="gSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="gSpin">
+             <property name="maximum">
               <number>255</number>
              </property>
             </widget>
@@ -612,26 +820,35 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel10" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel10">
+             <property name="text">
               <string>B:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="bSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="bSpin">
+             <property name="maximum">
               <number>255</number>
              </property>
             </widget>
@@ -639,32 +856,41 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel3" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel3">
+             <property name="text">
               <string>CMYK:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QLabel" name="cmykLabel" >
-             <property name="frameShape" >
+            <widget class="QLabel" name="cmykLabel">
+             <property name="frameShape">
               <enum>QFrame::Box</enum>
              </property>
-             <property name="text" >
+             <property name="text">
               <string/>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
@@ -672,35 +898,44 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel1_2_2_2" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel1_2_2_2">
+             <property name="text">
               <string>HSV:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QLabel" name="hsvLabel2" >
-             <property name="frameShape" >
+            <widget class="QLabel" name="hsvLabel2">
+             <property name="frameShape">
               <enum>QFrame::Box</enum>
              </property>
-             <property name="frameShadow" >
+             <property name="frameShadow">
               <enum>QFrame::Plain</enum>
              </property>
-             <property name="text" >
+             <property name="text">
               <string/>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
@@ -709,12 +944,12 @@
          </item>
         </layout>
        </item>
-       <item row="1" column="0" >
+       <item row="1" column="0">
         <spacer>
-         <property name="orientation" >
+         <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
-         <property name="sizeHint" stdset="0" >
+         <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>40</height>
@@ -724,46 +959,73 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabHSV" >
-      <attribute name="title" >
+     <widget class="QWidget" name="tabHSV">
+      <attribute name="title">
        <string>HSV</string>
       </attribute>
-      <layout class="QGridLayout" >
-       <property name="margin" >
+      <layout class="QGridLayout">
+       <property name="leftMargin">
         <number>11</number>
        </property>
-       <property name="spacing" >
+       <property name="topMargin">
+        <number>11</number>
+       </property>
+       <property name="rightMargin">
+        <number>11</number>
+       </property>
+       <property name="bottomMargin">
+        <number>11</number>
+       </property>
+       <property name="spacing">
         <number>6</number>
        </property>
-       <item row="0" column="0" >
-        <layout class="QVBoxLayout" >
-         <property name="spacing" >
+       <item row="0" column="0">
+        <layout class="QVBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel4_2" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel4_2">
+             <property name="text">
               <string>H:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="hSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="hSpin">
+             <property name="maximum">
               <number>359</number>
              </property>
             </widget>
@@ -771,26 +1033,35 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel5_2" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel5_2">
+             <property name="text">
               <string>S:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="sSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="sSpin">
+             <property name="maximum">
               <number>255</number>
              </property>
             </widget>
@@ -798,26 +1069,35 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel6_2" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel6_2">
+             <property name="text">
               <string>V:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="vSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="vSpin">
+             <property name="maximum">
               <number>255</number>
              </property>
             </widget>
@@ -825,35 +1105,44 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel1_2_3" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel1_2_3">
+             <property name="text">
               <string>RGB:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QLabel" name="rgbLabel2" >
-             <property name="frameShape" >
+            <widget class="QLabel" name="rgbLabel2">
+             <property name="frameShape">
               <enum>QFrame::Box</enum>
              </property>
-             <property name="frameShadow" >
+             <property name="frameShadow">
               <enum>QFrame::Plain</enum>
              </property>
-             <property name="text" >
+             <property name="text">
               <string/>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
@@ -861,35 +1150,44 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel1_2_2_3" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel1_2_2_3">
+             <property name="text">
               <string>CMYK:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QLabel" name="cmykLabel2" >
-             <property name="frameShape" >
+            <widget class="QLabel" name="cmykLabel2">
+             <property name="frameShape">
               <enum>QFrame::Box</enum>
              </property>
-             <property name="frameShadow" >
+             <property name="frameShadow">
               <enum>QFrame::Plain</enum>
              </property>
-             <property name="text" >
+             <property name="text">
               <string/>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
@@ -898,12 +1196,12 @@
          </item>
         </layout>
        </item>
-       <item row="1" column="0" >
+       <item row="1" column="0">
         <spacer>
-         <property name="orientation" >
+         <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
-         <property name="sizeHint" stdset="0" >
+         <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>40</height>
@@ -913,19 +1211,28 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabDocument" >
-      <attribute name="title" >
+     <widget class="QWidget" name="tabDocument">
+      <attribute name="title">
        <string>Document</string>
       </attribute>
-      <layout class="QGridLayout" >
-       <property name="margin" >
+      <layout class="QGridLayout">
+       <property name="leftMargin">
         <number>11</number>
        </property>
-       <property name="spacing" >
+       <property name="topMargin">
+        <number>11</number>
+       </property>
+       <property name="rightMargin">
+        <number>11</number>
+       </property>
+       <property name="bottomMargin">
+        <number>11</number>
+       </property>
+       <property name="spacing">
         <number>6</number>
        </property>
-       <item row="0" column="0" >
-        <widget class="ColorListBox" native="1" name="documentColorList" />
+       <item row="0" column="0">
+        <widget class="ColorListBox" name="documentColorList" native="true"/>
        </item>
       </layout>
      </widget>
@@ -933,7 +1240,7 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11" />
+ <layoutdefault spacing="6" margin="11"/>
  <customwidgets>
   <customwidget>
    <class>ColorWheel</class>
@@ -947,8 +1254,8 @@
   </customwidget>
  </customwidgets>
  <includes>
-  <include location="local" >colorwheelwidget.h</include>
-  <include location="local" >ui/colorlistbox.h</include>
+  <include location="local">colorwheelwidget.h</include>
+  <include location="local">ui/colorlistbox.h</include>
  </includes>
  <resources/>
  <connections/>
13277-Patch.diff (50,636 bytes)

FirasH

2015-08-05 15:00

developer  

13277-Screenshot.png (137,193 bytes)
13277-Screenshot.png (137,193 bytes)

Kunda

2015-08-05 17:23

updater   ~0035968

Nice refinements, FirasH :)

jghali

2015-08-05 22:08

administrator   ~0035969

The patch does not seem to have any effect on Windows...

jghali

2015-08-05 22:11

administrator   ~0035970

In fact it has even adverse affect as it prevents users to see all three lines of the bottom right widget.

FirasH

2015-08-06 00:13

developer   ~0035971

Thanks for testing jghali! Any idea which part of the patch may be causing the issue? I have a vague idea... I'll check tomorrow evening (sizing policies?).

FirasH

2015-08-06 13:07

developer   ~0035973

Just made a small change in the .ui file.
See 13277-PatchREV2.diff

FirasH

2015-08-06 13:07

developer  

13277-PatchREV2.diff (50,637 bytes)

diff --git a/scribus/plugins/colorwheel/cwdialog.ui b/scribus/plugins/colorwheel/cwdialog.ui
--- a/scribus/plugins/colorwheel/cwdialog.ui
+++ b/scribus/plugins/colorwheel/cwdialog.ui
@@ -1,89 +1,150 @@
-<ui version="4.0" >
- <author>Petr Vanek &lt;petr@scribus.info></author>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <author>Petr Vanek &lt;petr@scribus.info&gt;</author>
  <comment>Base class for color wheel dialog</comment>
  <class>CWDialog</class>
- <widget class="QDialog" name="CWDialog" >
-  <property name="geometry" >
+ <widget class="QDialog" name="CWDialog">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>625</width>
-    <height>699</height>
+    <height>688</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Color Wheel</string>
   </property>
-  <layout class="QGridLayout" >
-   <property name="margin" >
+  <layout class="QGridLayout">
+   <property name="leftMargin">
     <number>9</number>
    </property>
-   <property name="spacing" >
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
+   <property name="spacing">
     <number>6</number>
    </property>
-   <item row="0" column="0" >
-    <widget class="ColorWheel" native="1" name="colorWheel" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="Fixed" hsizetype="Fixed" >
+   <item row="0" column="0">
+    <widget class="ColorWheel" name="colorWheel" native="true">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
-     <property name="minimumSize" >
+     <property name="minimumSize">
       <size>
        <width>300</width>
        <height>300</height>
       </size>
      </property>
-     <property name="maximumSize" >
+     <property name="maximumSize">
       <size>
        <width>300</width>
        <height>300</height>
       </size>
      </property>
-     <property name="toolTip" >
+     <property name="toolTip">
       <string>Click the wheel to get the base color. Its color model depends on the chosen tab.</string>
      </property>
     </widget>
    </item>
-   <item rowspan="2" row="1" column="1" >
-    <widget class="QGroupBox" name="groupBox3" >
-     <property name="title" >
+   <item row="1" column="1" rowspan="2">
+    <widget class="QGroupBox" name="groupBox3">
+     <property name="title">
       <string>Result Colors</string>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="leftMargin">
        <number>9</number>
       </property>
-      <property name="spacing" >
+      <property name="topMargin">
+       <number>9</number>
+      </property>
+      <property name="rightMargin">
+       <number>9</number>
+      </property>
+      <property name="bottomMargin">
+       <number>9</number>
+      </property>
+      <property name="spacing">
        <number>6</number>
       </property>
-      <item row="1" column="0" >
-       <widget class="QTableWidget" name="currentColorTable" >
-        <property name="alternatingRowColors" >
+      <item row="1" column="0">
+       <widget class="QTableWidget" name="currentColorTable">
+        <property name="sizePolicy">
+         <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
+          <horstretch>0</horstretch>
+          <verstretch>0</verstretch>
+         </sizepolicy>
+        </property>
+        <property name="minimumSize">
+         <size>
+          <width>0</width>
+          <height>92</height>
+         </size>
+        </property>
+        <property name="maximumSize">
+         <size>
+          <width>16777215</width>
+          <height>92</height>
+         </size>
+        </property>
+        <property name="alternatingRowColors">
          <bool>true</bool>
         </property>
-        <property name="selectionMode" >
+        <property name="selectionMode">
          <enum>QAbstractItemView::SingleSelection</enum>
         </property>
-        <property name="rowCount" >
+        <property name="rowCount">
          <number>3</number>
         </property>
-        <property name="columnCount" >
+        <property name="columnCount">
          <number>5</number>
         </property>
+        <attribute name="horizontalHeaderVisible">
+         <bool>false</bool>
+        </attribute>
+        <attribute name="horizontalHeaderDefaultSectionSize">
+         <number>42</number>
+        </attribute>
+        <attribute name="horizontalHeaderHighlightSections">
+         <bool>false</bool>
+        </attribute>
+        <attribute name="horizontalHeaderMinimumSectionSize">
+         <number>42</number>
+        </attribute>
+        <attribute name="horizontalHeaderStretchLastSection">
+         <bool>true</bool>
+        </attribute>
+        <attribute name="verticalHeaderVisible">
+         <bool>true</bool>
+        </attribute>
+        <attribute name="verticalHeaderCascadingSectionResizes">
+         <bool>false</bool>
+        </attribute>
+        <attribute name="verticalHeaderMinimumSectionSize">
+         <number>30</number>
+        </attribute>
         <row>
-         <property name="text" >
+         <property name="text">
           <string>CMYK</string>
          </property>
         </row>
         <row>
-         <property name="text" >
+         <property name="text">
           <string>RGB</string>
          </property>
         </row>
         <row>
-         <property name="text" >
+         <property name="text">
           <string>HSV</string>
          </property>
         </row>
@@ -94,16 +155,22 @@
         <column/>
        </widget>
       </item>
-      <item row="0" column="0" >
-       <widget class="ColorListBox" native="1" name="colorList" >
-        <property name="minimumSize" >
+      <item row="0" column="0">
+       <widget class="ColorListBox" name="colorList" native="true">
+        <property name="sizePolicy">
+         <sizepolicy hsizetype="Preferred" vsizetype="Expanding">
+          <horstretch>0</horstretch>
+          <verstretch>0</verstretch>
+         </sizepolicy>
+        </property>
+        <property name="minimumSize">
          <size>
           <width>240</width>
-          <height>160</height>
+          <height>140</height>
          </size>
         </property>
-        <property name="toolTip" >
-         <string>Colors of your chosen color scheme.</string>
+        <property name="toolTip">
+         <string>Colors of your chosen color scheme</string>
         </property>
        </widget>
       </item>
@@ -110,45 +177,63 @@
      </layout>
     </widget>
    </item>
-   <item row="1" column="0" >
-    <widget class="QGroupBox" name="groupBox3_2" >
-     <property name="title" >
+   <item row="1" column="0">
+    <widget class="QGroupBox" name="groupBox3_2">
+     <property name="title">
       <string>Color Scheme Method</string>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="leftMargin">
        <number>9</number>
       </property>
-      <property name="spacing" >
+      <property name="topMargin">
+       <number>9</number>
+      </property>
+      <property name="rightMargin">
+       <number>9</number>
+      </property>
+      <property name="bottomMargin">
+       <number>9</number>
+      </property>
+      <property name="spacing">
        <number>6</number>
       </property>
-      <item row="1" column="0" >
-       <layout class="QHBoxLayout" >
-        <property name="spacing" >
+      <item row="1" column="0">
+       <layout class="QHBoxLayout">
+        <property name="spacing">
          <number>6</number>
         </property>
-        <property name="margin" >
+        <property name="leftMargin">
          <number>0</number>
         </property>
+        <property name="topMargin">
+         <number>0</number>
+        </property>
+        <property name="rightMargin">
+         <number>0</number>
+        </property>
+        <property name="bottomMargin">
+         <number>0</number>
+        </property>
         <item>
-         <widget class="QLabel" name="angleLabel" >
-          <property name="maximumSize" >
+         <widget class="QLabel" name="angleLabel">
+          <property name="maximumSize">
            <size>
             <width>100</width>
             <height>32767</height>
            </size>
           </property>
-          <property name="text" >
+          <property name="text">
            <string>Angle:</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
         </item>
         <item>
-         <widget class="QSpinBox" name="angleSpin" >
-          <property name="toolTip" >
+         <widget class="QSpinBox" name="angleSpin">
+          <property name="toolTip">
            <string>Difference between the selected value and the counted ones. Refer to documentation for more information.</string>
           </property>
          </widget>
@@ -155,15 +240,21 @@
         </item>
        </layout>
       </item>
-      <item row="0" column="0" >
-       <widget class="QComboBox" name="typeCombo" >
-        <property name="maximumSize" >
+      <item row="0" column="0">
+       <widget class="QComboBox" name="typeCombo">
+        <property name="minimumSize">
          <size>
           <width>280</width>
-          <height>32767</height>
+          <height>22</height>
          </size>
         </property>
-        <property name="toolTip" >
+        <property name="maximumSize">
+         <size>
+          <width>16777215</width>
+          <height>16777215</height>
+         </size>
+        </property>
+        <property name="toolTip">
          <string>Select one of the methods to create a color scheme. Refer to documentation for more information.</string>
         </property>
        </widget>
@@ -171,23 +262,32 @@
      </layout>
     </widget>
    </item>
-   <item row="3" column="0" colspan="2" >
-    <layout class="QHBoxLayout" >
-     <property name="spacing" >
+   <item row="3" column="0" colspan="2">
+    <layout class="QHBoxLayout">
+     <property name="spacing">
       <number>6</number>
      </property>
-     <property name="margin" >
+     <property name="leftMargin">
       <number>0</number>
      </property>
+     <property name="topMargin">
+      <number>0</number>
+     </property>
+     <property name="rightMargin">
+      <number>0</number>
+     </property>
+     <property name="bottomMargin">
+      <number>0</number>
+     </property>
      <item>
       <spacer>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
-       <property name="sizeType" >
+       <property name="sizeType">
         <enum>QSizePolicy::Expanding</enum>
        </property>
-       <property name="sizeHint" stdset="0" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>40</width>
          <height>20</height>
@@ -196,40 +296,40 @@
       </spacer>
      </item>
      <item>
-      <widget class="QPushButton" name="addButton" >
-       <property name="toolTip" >
+      <widget class="QPushButton" name="addButton">
+       <property name="toolTip">
         <string>Merge created colors into the document colors</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&amp;Merge</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+M</string>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QPushButton" name="replaceButton" >
-       <property name="toolTip" >
+      <widget class="QPushButton" name="replaceButton">
+       <property name="toolTip">
         <string>Replace created colors in the document colors</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&amp;Replace</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+R</string>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QPushButton" name="cancelButton" >
-       <property name="toolTip" >
+      <widget class="QPushButton" name="cancelButton">
+       <property name="toolTip">
         <string>Leave colors untouched</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&amp;Cancel</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+C</string>
        </property>
       </widget>
@@ -236,72 +336,81 @@
      </item>
     </layout>
    </item>
-   <item row="2" column="0" >
-    <widget class="QGroupBox" name="groupBox2" >
-     <property name="title" >
+   <item row="2" column="0">
+    <widget class="QGroupBox" name="groupBox2">
+     <property name="title">
       <string>Preview:</string>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="leftMargin">
        <number>9</number>
       </property>
-      <property name="spacing" >
+      <property name="topMargin">
+       <number>9</number>
+      </property>
+      <property name="rightMargin">
+       <number>9</number>
+      </property>
+      <property name="bottomMargin">
+       <number>9</number>
+      </property>
+      <property name="spacing">
        <number>6</number>
       </property>
-      <item row="2" column="0" >
-       <widget class="QLabel" name="previewLabel" >
-        <property name="minimumSize" >
+      <item row="2" column="0">
+       <widget class="QLabel" name="previewLabel">
+        <property name="minimumSize">
          <size>
           <width>280</width>
           <height>100</height>
          </size>
         </property>
-        <property name="maximumSize" >
+        <property name="maximumSize">
          <size>
           <width>280</width>
           <height>100</height>
          </size>
         </property>
-        <property name="toolTip" >
+        <property name="toolTip">
          <string>Sample color scheme</string>
         </property>
-        <property name="frameShape" >
+        <property name="frameShape">
          <enum>QFrame::Box</enum>
         </property>
-        <property name="wordWrap" >
+        <property name="wordWrap">
          <bool>false</bool>
         </property>
        </widget>
       </item>
-      <item row="1" column="0" >
-       <widget class="QComboBox" name="defectCombo" >
-        <property name="minimumSize" >
+      <item row="1" column="0">
+       <widget class="QComboBox" name="defectCombo">
+        <property name="minimumSize">
          <size>
           <width>280</width>
-          <height>0</height>
+          <height>22</height>
          </size>
         </property>
-        <property name="toolTip" >
+        <property name="toolTip">
          <string>Simulate common vision defects here. Select type of the defect.</string>
         </property>
        </widget>
       </item>
-      <item row="0" column="0" >
-       <widget class="QLabel" name="textLabel1" >
-        <property name="text" >
+      <item row="0" column="0">
+       <widget class="QLabel" name="textLabel1">
+        <property name="text">
          <string>Vision Defect Type:</string>
         </property>
-        <property name="wordWrap" >
+        <property name="wordWrap">
          <bool>false</bool>
         </property>
        </widget>
       </item>
-      <item row="3" column="0" >
-       <spacer name="verticalSpacer" >
-        <property name="orientation" >
+      <item row="3" column="0">
+       <spacer name="verticalSpacer">
+        <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
-        <property name="sizeHint" stdset="0" >
+        <property name="sizeHint" stdset="0">
          <size>
           <width>20</width>
           <height>40</height>
@@ -312,46 +421,64 @@
      </layout>
     </widget>
    </item>
-   <item row="0" column="1" >
-    <widget class="QTabWidget" name="colorspaceTab" >
-     <property name="currentIndex" >
+   <item row="0" column="1">
+    <widget class="QTabWidget" name="colorspaceTab">
+     <property name="currentIndex">
       <number>0</number>
      </property>
-     <widget class="QWidget" name="tabCMYK" >
-      <attribute name="title" >
+     <widget class="QWidget" name="tabCMYK">
+      <attribute name="title">
        <string>CMYK</string>
       </attribute>
-      <layout class="QGridLayout" >
-       <property name="margin" >
+      <layout class="QGridLayout">
+       <property name="leftMargin">
         <number>11</number>
        </property>
-       <property name="spacing" >
+       <property name="topMargin">
+        <number>11</number>
+       </property>
+       <property name="rightMargin">
+        <number>11</number>
+       </property>
+       <property name="bottomMargin">
+        <number>11</number>
+       </property>
+       <property name="spacing">
         <number>6</number>
        </property>
-       <item row="0" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="0" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel4" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel4">
+           <property name="text">
             <string>C:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QSpinBox" name="cSpin" >
-           <property name="suffix" >
+          <widget class="QSpinBox" name="cSpin">
+           <property name="suffix">
             <string> %</string>
            </property>
-           <property name="maximum" >
+           <property name="maximum">
             <number>100</number>
            </property>
           </widget>
@@ -358,30 +485,39 @@
          </item>
         </layout>
        </item>
-       <item row="1" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="1" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel5" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel5">
+           <property name="text">
             <string>M:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QSpinBox" name="mSpin" >
-           <property name="suffix" >
+          <widget class="QSpinBox" name="mSpin">
+           <property name="suffix">
             <string> %</string>
            </property>
-           <property name="maximum" >
+           <property name="maximum">
             <number>100</number>
            </property>
           </widget>
@@ -388,30 +524,39 @@
          </item>
         </layout>
        </item>
-       <item row="2" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="2" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel6" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel6">
+           <property name="text">
             <string>Y:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QSpinBox" name="ySpin" >
-           <property name="suffix" >
+          <widget class="QSpinBox" name="ySpin">
+           <property name="suffix">
             <string> %</string>
            </property>
-           <property name="maximum" >
+           <property name="maximum">
             <number>100</number>
            </property>
           </widget>
@@ -418,30 +563,39 @@
          </item>
         </layout>
        </item>
-       <item row="3" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="3" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel7" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel7">
+           <property name="text">
             <string>K:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QSpinBox" name="kSpin" >
-           <property name="suffix" >
+          <widget class="QSpinBox" name="kSpin">
+           <property name="suffix">
             <string> %</string>
            </property>
-           <property name="maximum" >
+           <property name="maximum">
             <number>100</number>
            </property>
           </widget>
@@ -448,36 +602,45 @@
          </item>
         </layout>
        </item>
-       <item row="4" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="4" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel1_2" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel1_2">
+           <property name="text">
             <string>RGB:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QLabel" name="rgbLabel" >
-           <property name="frameShape" >
+          <widget class="QLabel" name="rgbLabel">
+           <property name="frameShape">
             <enum>QFrame::Box</enum>
            </property>
-           <property name="frameShadow" >
+           <property name="frameShadow">
             <enum>QFrame::Plain</enum>
            </property>
-           <property name="text" >
+           <property name="text">
             <string/>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
@@ -484,36 +647,45 @@
          </item>
         </layout>
        </item>
-       <item row="5" column="0" >
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
+       <item row="5" column="0">
+        <layout class="QHBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <widget class="QLabel" name="textLabel1_2_2" >
-           <property name="text" >
+          <widget class="QLabel" name="textLabel1_2_2">
+           <property name="text">
             <string>HSV:</string>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QLabel" name="hsvLabel" >
-           <property name="frameShape" >
+          <widget class="QLabel" name="hsvLabel">
+           <property name="frameShape">
             <enum>QFrame::Box</enum>
            </property>
-           <property name="frameShadow" >
+           <property name="frameShadow">
             <enum>QFrame::Plain</enum>
            </property>
-           <property name="text" >
+           <property name="text">
             <string/>
            </property>
-           <property name="wordWrap" >
+           <property name="wordWrap">
             <bool>false</bool>
            </property>
           </widget>
@@ -520,15 +692,15 @@
          </item>
         </layout>
        </item>
-       <item row="6" column="0" >
+       <item row="6" column="0">
         <spacer>
-         <property name="orientation" >
+         <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
-         <property name="sizeType" >
+         <property name="sizeType">
           <enum>QSizePolicy::Expanding</enum>
          </property>
-         <property name="sizeHint" stdset="0" >
+         <property name="sizeHint" stdset="0">
           <size>
            <width>254</width>
            <height>16</height>
@@ -538,46 +710,73 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabRGB" >
-      <attribute name="title" >
+     <widget class="QWidget" name="tabRGB">
+      <attribute name="title">
        <string>RGB</string>
       </attribute>
-      <layout class="QGridLayout" >
-       <property name="margin" >
+      <layout class="QGridLayout">
+       <property name="leftMargin">
         <number>11</number>
        </property>
-       <property name="spacing" >
+       <property name="topMargin">
+        <number>11</number>
+       </property>
+       <property name="rightMargin">
+        <number>11</number>
+       </property>
+       <property name="bottomMargin">
+        <number>11</number>
+       </property>
+       <property name="spacing">
         <number>6</number>
        </property>
-       <item row="0" column="0" >
-        <layout class="QVBoxLayout" >
-         <property name="spacing" >
+       <item row="0" column="0">
+        <layout class="QVBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel8" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel8">
+             <property name="text">
               <string>R:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="rSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="rSpin">
+             <property name="maximum">
               <number>255</number>
              </property>
             </widget>
@@ -585,26 +784,35 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel9" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel9">
+             <property name="text">
               <string>G:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="gSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="gSpin">
+             <property name="maximum">
               <number>255</number>
              </property>
             </widget>
@@ -612,26 +820,35 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel10" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel10">
+             <property name="text">
               <string>B:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="bSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="bSpin">
+             <property name="maximum">
               <number>255</number>
              </property>
             </widget>
@@ -639,32 +856,41 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel3" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel3">
+             <property name="text">
               <string>CMYK:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QLabel" name="cmykLabel" >
-             <property name="frameShape" >
+            <widget class="QLabel" name="cmykLabel">
+             <property name="frameShape">
               <enum>QFrame::Box</enum>
              </property>
-             <property name="text" >
+             <property name="text">
               <string/>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
@@ -672,35 +898,44 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel1_2_2_2" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel1_2_2_2">
+             <property name="text">
               <string>HSV:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QLabel" name="hsvLabel2" >
-             <property name="frameShape" >
+            <widget class="QLabel" name="hsvLabel2">
+             <property name="frameShape">
               <enum>QFrame::Box</enum>
              </property>
-             <property name="frameShadow" >
+             <property name="frameShadow">
               <enum>QFrame::Plain</enum>
              </property>
-             <property name="text" >
+             <property name="text">
               <string/>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
@@ -709,12 +944,12 @@
          </item>
         </layout>
        </item>
-       <item row="1" column="0" >
+       <item row="1" column="0">
         <spacer>
-         <property name="orientation" >
+         <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
-         <property name="sizeHint" stdset="0" >
+         <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>40</height>
@@ -724,46 +959,73 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabHSV" >
-      <attribute name="title" >
+     <widget class="QWidget" name="tabHSV">
+      <attribute name="title">
        <string>HSV</string>
       </attribute>
-      <layout class="QGridLayout" >
-       <property name="margin" >
+      <layout class="QGridLayout">
+       <property name="leftMargin">
         <number>11</number>
        </property>
-       <property name="spacing" >
+       <property name="topMargin">
+        <number>11</number>
+       </property>
+       <property name="rightMargin">
+        <number>11</number>
+       </property>
+       <property name="bottomMargin">
+        <number>11</number>
+       </property>
+       <property name="spacing">
         <number>6</number>
        </property>
-       <item row="0" column="0" >
-        <layout class="QVBoxLayout" >
-         <property name="spacing" >
+       <item row="0" column="0">
+        <layout class="QVBoxLayout">
+         <property name="spacing">
           <number>6</number>
          </property>
-         <property name="margin" >
+         <property name="leftMargin">
           <number>0</number>
          </property>
+         <property name="topMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <property name="bottomMargin">
+          <number>0</number>
+         </property>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel4_2" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel4_2">
+             <property name="text">
               <string>H:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="hSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="hSpin">
+             <property name="maximum">
               <number>359</number>
              </property>
             </widget>
@@ -771,26 +1033,35 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel5_2" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel5_2">
+             <property name="text">
               <string>S:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="sSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="sSpin">
+             <property name="maximum">
               <number>255</number>
              </property>
             </widget>
@@ -798,26 +1069,35 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel6_2" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel6_2">
+             <property name="text">
               <string>V:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QSpinBox" name="vSpin" >
-             <property name="maximum" >
+            <widget class="QSpinBox" name="vSpin">
+             <property name="maximum">
               <number>255</number>
              </property>
             </widget>
@@ -825,35 +1105,44 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel1_2_3" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel1_2_3">
+             <property name="text">
               <string>RGB:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QLabel" name="rgbLabel2" >
-             <property name="frameShape" >
+            <widget class="QLabel" name="rgbLabel2">
+             <property name="frameShape">
               <enum>QFrame::Box</enum>
              </property>
-             <property name="frameShadow" >
+             <property name="frameShadow">
               <enum>QFrame::Plain</enum>
              </property>
-             <property name="text" >
+             <property name="text">
               <string/>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
@@ -861,35 +1150,44 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
+          <layout class="QHBoxLayout">
+           <property name="spacing">
             <number>6</number>
            </property>
-           <property name="margin" >
+           <property name="leftMargin">
             <number>0</number>
            </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
+            <number>0</number>
+           </property>
            <item>
-            <widget class="QLabel" name="textLabel1_2_2_3" >
-             <property name="text" >
+            <widget class="QLabel" name="textLabel1_2_2_3">
+             <property name="text">
               <string>CMYK:</string>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QLabel" name="cmykLabel2" >
-             <property name="frameShape" >
+            <widget class="QLabel" name="cmykLabel2">
+             <property name="frameShape">
               <enum>QFrame::Box</enum>
              </property>
-             <property name="frameShadow" >
+             <property name="frameShadow">
               <enum>QFrame::Plain</enum>
              </property>
-             <property name="text" >
+             <property name="text">
               <string/>
              </property>
-             <property name="wordWrap" >
+             <property name="wordWrap">
               <bool>false</bool>
              </property>
             </widget>
@@ -898,12 +1196,12 @@
          </item>
         </layout>
        </item>
-       <item row="1" column="0" >
+       <item row="1" column="0">
         <spacer>
-         <property name="orientation" >
+         <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
-         <property name="sizeHint" stdset="0" >
+         <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>40</height>
@@ -913,19 +1211,28 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabDocument" >
-      <attribute name="title" >
+     <widget class="QWidget" name="tabDocument">
+      <attribute name="title">
        <string>Document</string>
       </attribute>
-      <layout class="QGridLayout" >
-       <property name="margin" >
+      <layout class="QGridLayout">
+       <property name="leftMargin">
         <number>11</number>
        </property>
-       <property name="spacing" >
+       <property name="topMargin">
+        <number>11</number>
+       </property>
+       <property name="rightMargin">
+        <number>11</number>
+       </property>
+       <property name="bottomMargin">
+        <number>11</number>
+       </property>
+       <property name="spacing">
         <number>6</number>
        </property>
-       <item row="0" column="0" >
-        <widget class="ColorListBox" native="1" name="documentColorList" />
+       <item row="0" column="0">
+        <widget class="ColorListBox" name="documentColorList" native="true"/>
        </item>
       </layout>
      </widget>
@@ -933,7 +1240,7 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11" />
+ <layoutdefault spacing="6" margin="11"/>
  <customwidgets>
   <customwidget>
    <class>ColorWheel</class>
@@ -947,8 +1254,8 @@
   </customwidget>
  </customwidgets>
  <includes>
-  <include location="local" >colorwheelwidget.h</include>
-  <include location="local" >ui/colorlistbox.h</include>
+  <include location="local">colorwheelwidget.h</include>
+  <include location="local">ui/colorlistbox.h</include>
  </includes>
  <resources/>
  <connections/>
diff --git a/scribus/plugins/colorwheel/cwdialog.cpp b/scribus/plugins/colorwheel/cwdialog.cpp
--- a/scribus/plugins/colorwheel/cwdialog.cpp
+++ b/scribus/plugins/colorwheel/cwdialog.cpp
@@ -92,7 +92,6 @@
 	previewLabel->resize(prefs->getInt("cw_samplex", 300), prefs->getInt("cw_sampley", 100));
 		
 	// setup
-	currentColorTable->horizontalHeader()->hide();
 	colorspaceTab_currentChanged(colorspaceTab->currentIndex());
 
 	// signals and slots that cannot be in ui file
13277-PatchREV2.diff (50,637 bytes)

cbradney

2015-09-03 20:16

administrator   ~0036142

Better column sizing:

    int columnWidth = currentColorTable->fontMetrics().maxWidth() * 4;
    for (int i = 0; i < 4 ; ++i)
        currentColorTable->setColumnWidth(i, columnWidth);

instead of:
    currentColorTable->resizeColumnsToContents();


however Jean still sees issues on Windows, whereas I see almost perfection in that section on OSX. Jean can you please upload a screenshot ?

jghali

2015-09-03 20:38

administrator  

13277_win.png (67,194 bytes)
13277_win.png (67,194 bytes)

jghali

2015-09-03 20:42

administrator   ~0036146

Done. On Windows with the patch:
- columns cannot be seen all at once without making dialog very large
- the last line cannot be seen without using scrollbars

Without the patch, columns and lines can all be seen without using any scrollbar.

cbradney

2015-09-03 20:58

administrator   ~0036147

Fixed the translation of HSV to just be TSL.

Issue History

Date Modified Username Field Change
2015-08-05 14:59 FirasH New Issue
2015-08-05 14:59 FirasH File Added: 13277-Patch.diff
2015-08-05 15:00 FirasH File Added: 13277-Screenshot.png
2015-08-05 17:23 Kunda Note Added: 0035968
2015-08-05 22:08 jghali Note Added: 0035969
2015-08-05 22:11 jghali Note Added: 0035970
2015-08-06 00:13 FirasH Note Added: 0035971
2015-08-06 13:07 FirasH Note Added: 0035973
2015-08-06 13:07 FirasH File Added: 13277-PatchREV2.diff
2015-09-03 20:16 cbradney Note Added: 0036142
2015-09-03 20:38 jghali File Added: 13277_win.png
2015-09-03 20:42 jghali Note Added: 0036146
2015-09-03 20:58 cbradney Note Added: 0036147
2016-04-03 10:48 FirasH Relationship added child of 0013906